Home / Session border controllers / Topology hiding rewrites the addresses you leak
Topology hiding rewrites the addresses you leak
Topology hiding replaces caller addresses in signaling and, when media is anchored, in SDP.
Learn in 5 minutes
- Name the headers that leak topology
- See Contact and Via change at the B2BUA
- Leave the rewrite policy in the product guide
Visual
Addresses below are the lab’s documentation addresses.
Worked example
Compare Contact hosts Dissect the carrier INVITE. Which host is in Contact?
Fault
The carrier INVITE still targets the dialog at 203.0.113.10, which is not routed on the carrier side.
Both Contact and c= still say 203.0.113.10.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
E911 / emergency calling Location has to ride with the call. RFC 6881 is the BCP, RFC 6442 carries location in SIP, and the FCC MLTS page states Kari’s Law and RAY BAUM’s Act obligations for multi-line systems.
Sources and go deeper
- RFC 5853 — last checked 2026-10
- RFC 3261 — last checked 2026-10
- RFC 7092 — last checked 2026-10
- RFC 3261 §16 — last checked 2026-10
- RFC 3264 — last checked 2026-10